%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname ronn
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Builds manuals.
Name: rubygem-%{gemname}
Version: 0.7.3
Release: 1%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://rtomayko.github.com/ronn/
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: rubygems
Requires: ruby(abi) = 1.8
Requires: rubygem(mustache) >= 0.7.0
Requires: rubygem(hpricot) >= 0.8.2
Requires: rubygem(rdiscount) >= 1.5.8
BuildRequires: rubygem(rake)
BuildRequires: rubygems
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
Ronn builds manuals. It converts simple, human readable textfiles to roff for terminal display, and also to HTML for the web.
The source format includes all of Markdown but has a more rigid structure and syntax extensions for features commonly found in manpages (definition lists, link notation, etc.). The ronn-format(7) manual page defines the format in detail.

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}
mkdir -p %{buildroot}/%{_bindir}
mv %{buildroot}%{gemdir}/bin/* %{buildroot}/%{_bindir}
rmdir %{buildroot}%{gemdir}/bin
find %{buildroot}%{geminstdir}/bin -type f | xargs chmod a+x
rm -rf %{buildroot}%{gemdir}/doc
rm -rf %{buildroot}%{geminstdir}/test
rm -rf %{buildroot}%{geminstdir}/Rakefile
%clean
rm -rf %{buildroot}

%check

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%_bindir/%{gemname}
%{geminstdir}/lib
%{geminstdir}/bin
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%{geminstdir}/%{gemname}.gemspec
%doc %{geminstdir}/AUTHORS
%doc %{geminstdir}/CHANGES
%doc %{geminstdir}/COPYING
%doc %{geminstdir}/INSTALLING
%doc %{geminstdir}/README.md
%doc %{geminstdir}/config.ru
%doc %{geminstdir}/man

%changelog
* Fri May 11 2012 <moses@puppetlabs.com> - 0.7.3-1
- Initial packaging
